<?php
class Coche extends cuatro_ruedas 
    {
		// Declaración de los atributos 
		private $numero_cadena_nieve=0; 
		
		//accesorios
		public function getNumeroCadenaNieve()
		{
            return $this->numero_cadena_nieve; //devuelve el numero_cadena_nieve 
		}
		public function setNumeroCadenaNieve($numero_cadena_nieve)
		{
			$this->numero_cadena_nieve = $numero_cadena_nieve; //escribe en el atributo numero_cadena_nieve
		}
        
		//métodos públicos
        public function añadir_cadena_nieve($numero)
		{
			$this->numero_cadena_nieve = $this->numero_cadena_nieve + $nombre;
		}
		
		public function quitar_cadena_nieve($numero)
		{
			if ($this->numero_cadena_nieve - $nombre < 0) {
				$this->numero_cadena_nieve = 0;
			}
			else {
				$this->numero_cadena_nieve = $this->numero_cadena_nieve - $nombre;
			}
		}
		

	}
?>

